package dev.pfaff.altargui.pathfinder.fontkit;

import dev.pfaff.altargui.pathfinder.RectF;

/**
 * @param unitsPerEm         the number of font units per em
 * @param ascent             the maximum amount the font rises above the baseline, in font units
 * @param descent            the maximum amount the font descends below the baseline, in font units
 * @param lineGap            distance between baselines, in font units
 * @param underlinePosition  the suggested distance of the top of the underline from the baseline (negative values
 *                           indicate below baseline), in font units
 * @param underlineThickness a suggested value for the underline thickness, in font units
 * @param capHeight          the approximate amount that uppercase letters rise above the baseline, in font units
 * @param xHeight            the approximate amount that non-ascending lowercase letters rise above the baseline, in
 *                           font units
 * @param boundingBox        a rectangle that surrounds all bounding boxes of all glyphs, in font units
 */
public record FKMetrics(int unitsPerEm,
						float ascent,
						float descent,
						float lineGap,
						float underlinePosition,
						float underlineThickness,
						float capHeight,
						float xHeight,
						RectF boundingBox) {
}
