package dev.pfaff.altargui.texture;

import dev.pfaff.altargui.libimage.ImageData;
import dev.pfaff.altargui.libimage.LibImage;
import dev.pfaff.altargui.resource.LoadableResource;

import java.io.IOException;
import java.lang.foreign.Arena;
import java.util.Objects;

/**
 * Uses {@link LibImage} to decode an image loaded from {@link #resource}.
 *
 * @param resource the image resource
 */
public record ResourceLoadableTexture(LoadableResource resource) implements LoadableTexture {
	public ResourceLoadableTexture {
		Objects.requireNonNull(resource);
	}

	@Override
	public ImageData load() {
		try {
			return LibImage.loadImage(this.resource.readBytes(), Arena.ofAuto());
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}
}
